<div class="wrapper wrapper-content animated fadeInRight">
    <div class="panel col-sm-6 col-md-6">
        <div class="panel-heading">
            <h4 class="pull-left col-sm-6 col-md-6"> Categories</h4>
            <div class="category-navigation col-sm-6 col-md-6 pull-right">
                <button class="btn btn-sm btn-info " type="button"
                        ng-class="editCategoryMode ? 'btn-info' : 'btn-warning'"
                        ng-click="editCategoryMode = !editCategoryMode">
                    <i class="fa fa-edit"></i> {{ (editCategoryMode)  ? "Back" : "Edit" }}
                </button>
                <button class="btn btn-sm btn-primary " type="button" ng-click="vm.openModal('create', 'category')">
                    <i class="fa fa-plus"></i> Create
                </button>
            </div>
        </div>

        <div class="clearfix"></div>

        <!--CATEGORIES LIST-->
        <ul class="list-group clearfix">
            <li class="col-sm-12 list-group-item clearfix" ng-repeat="item in vm.categories track by $index" ng-class="item.id == vm.subcategories_meta.id ? 'active' : ''">
                <div class="col-sm-2">
                    <img ng-src="{{item.image}}" alt="{{item.title}}" class="category-image"/>
                </div>
                <div class="col-sm-7" >
                    <p ng-bind="item.title"  class="category-name"></p>
                </div>
                <div class="col-sm-3 category-navigation" ng-show="editCategoryMode">
                    <button class="btn btn-sm btn-warning " ng-click="vm.openModal('edit', 'category', item)">
                        <i class="fa fa-edit"></i> Edit
                    </button>
                    <button class="btn btn-sm btn-danger" ng-click="vm.remove(item.id)">
                        <i class="fa fa-trash"></i> Delete
                    </button>
                </div>
                <div class="pull-right" ng-hide="editCategoryMode">
                    <button type="button" class="btn btn-icon btn-sm btn-" ng-click="vm.selectCategory(item)">
                        <i class="fa fa-chevron-right"></i>
                    </button>
                </div>
            </li>
        </ul>
        <!--/CATEGORIES LIST-->

        <!--paging-->
        <div class="col-sm-12 text-center">
            <uib-pagination ng-show="vm.categories_meta.totalCount > vm.meta.limit"
                            total-items="vm.categories_meta.totalCount" items-per-page="vm.categories_meta.limit"
                            max-size="5" ng-model="vm.categories_meta.page" ng-change="vm.read()"></uib-pagination>
        </div>

        <!--/paging-->
    </div>

    <div class="panel col-sm-6 col-md-6"
         ng-if="vm.showSubcutegory">
        <div class="panel-heading">
            <h4 class="pull-left col-sm-6 col-md-6">Subcategories</h4>
            <div class="category-navigation col-sm-6 col-md-6 pull-right">
                <button class="btn btn-sm btn-info" type="button"
                        ng-class="editSubCategoryMode ? 'btn-info' : 'btn-warning'"
                        ng-click="editSubCategoryMode = !editSubCategoryMode">
                    <i class="fa fa-edit"></i>  {{ (editSubCategoryMode)  ? "Back" : "Edit" }}
                </button>
                <button class="btn btn-sm btn-primary" type="button" ng-click="vm.openModal('create', 'subcategory')">
                    <i class="fa fa-plus"></i> Create
                </button>
            </div>
        </div>

        <div class="clearfix"></div>

        <!--SUBCATEGORIES LIST-->
        <ul class="list-group" ng-if="vm.subcategories && vm.subcategories.length > 0">
            <li class="col-sm-12 list-group-item clearfix" ng-repeat="item in vm.subcategories track by $index">
                <div class="col-sm-2">
                    <img ng-src="{{item.image}}" alt="{{item.title}}" class="category-image"/>
                </div>
                <div class="col-sm-7" >
                    <p ng-bind="item.title"  class="category-name"></p>
                </div>
                <div class="col-sm-3 category-navigation" ng-show="editSubCategoryMode">
                    <button class="btn btn-sm btn-warning " ng-click="vm.openModal('edit', 'subcategory', item)">
                        <i class="fa fa-edit"></i> Edit
                    </button>
                    <button class="btn btn-sm btn-danger" ng-click="vm.remove(item.id)">
                        <i class="fa fa-trash"></i> Delete
                    </button>
                </div>
            </li>
        </ul>
        <!--/SUBCATEGORIES LIST-->

        <!--paging-->
        <div class="col-sm-12 text-center">
            <uib-pagination ng-show="vm.subcategories_meta.totalCount > vm.meta.limit"
                            total-items="vm.subcategories_meta.totalCount" items-per-page="vm.subcategories_meta.limit"
                            max-size="5" ng-model="vm.subcategories_meta.page" ng-change="vm.readSubcategories()"></uib-pagination>
        </div>
        <!--/paging-->
    </div>
</div>